PERTALIFE - Bug #881

[ESS Performance Management] Request Goal Setting
02/15/2022 05:14 PM - Mega Yunita

Status: Closed Start date: 02/15/2022
Priority: High Due date: 02/22/2022
Assignee: Mr. Yusuf % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Pak Yusuf dan team Developer,

Mohon bantuannya untuk membuatkan autofill pada form request goal setting :
1. Appraiser : Tolong dibuatkan agar bisa autofill pada field Appraisal ID, Appraisal Type, KPl Weight, Qualification Weight .
Data tersebut diambil dari PHROMO0O001, dilihat dari posisi yang berada 1 tingkat di atasnya.

2. KPI : Tolong dapat dibuatkan fungsi action, ketika menekan button ADD KPI, maka akan otomatis menampilkan lookup KPI
Catalog.

Menu : My WorkPlace > Request > Permormance Management > Perfomance Goal Setting
Port : http://remote.minovais.com:31115/
DB : MinovaES_TuguMandiri_Dev
History

#1 - 02/15/2022 05:41 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 02/16/2022 08:17 AM - Mr. Yusuf

- Status changed from Assigned to Developing

#3 - 02/16/2022 08:58 AM - Mr. Yusuf

Tolong dikasih sample employee dan appraisernya siapa seharusnya, 3 sample employee aja. thx

#4 - 02/16/2022 09:07 AM - Moch Alinafia

ini pak untuk sample employeenya,

sample 1 employee ID : 00160009

qualification dan KPI sudah di relasikan degan apraisal - apraisal sudah di relasikan dengan job - job sudah direlasikan dengan posisi - posisi sudah

di relasikan dengan employee

sample 2 employee ID : 00160011
qualification dan KPI sudah di relasikan degan job - job sudah direlasikan dengan posisi - posisi sudah di relasikan dengan employee

sample 3 employee ID : 00160008
terima kasih pak

#5 - 02/16/2022 10:43 AM - Mr. Yusuf
- File ALG_LIST PIC WORKFLOW.xIsx added

Saya kasih template isiannya sambil utk ceking.
Tabel PHROMO0O004 ternyata perlu diisi juga, Organization Level.

Moch Alinafia wrote in #note-4:
ini pak untuk sample employeenya,
sample 1 employee ID : 00160009
qualification dan KPI sudah di relasikan degan apraisal - apraisal sudah di relasikan dengan job - job sudah direlasikan dengan posisi - posisi

sudah di relasikan dengan employee

sample 2 employee ID : 00160011
qualification dan KPI sudah di relasikan degan job - job sudah direlasikan dengan posisi - posisi sudah di relasikan dengan employee
sample 3 employee ID : 00160008
terima kasih pak

#6 - 02/16/2022 12:13 PM - Mega Yunita

untuk KPI, mohon untuk dijadikan autofill yang diambil dari KPI setiap job dan apraisal

#7 - 02/16/2022 12:33 PM - Mr. Yusuf

Mega Yunita wrote in #note-6:

untuk KPI, mohon untuk dijadikan autofill yang diambil dari KPI setiap job dan apraisal

Contoh yang sudah ada KPInya empployeeid brp?

#8 - 02/16/2022 02:21 PM - Moch Alinafia

sample yg 3 tadi semua nya sudah ada pak, sudah di maping dari job

#9 - 02/16/2022 02:54 PM - Mr. Yusuf
- File ALG_LIST PIC WORKFLOW (1).xlsx added

Moch Alinafia wrote in #note-8:

sample yg 3 tadi semua nya sudah ada pak, sudah di maping dari job

Ok, yg ada contohnya emp id 00160011, yg 2 Ig belum ada kayanya.

#10 - 02/16/2022 04:08 PM - Mr. Yusuf
- File ALG_LIST PIC WORKFLOW (2).xIsx added

Mr. Yusuf wrote in #note-9:

Moch Alinafia wrote in #note-8:

sample yg 3 tadi semua nya sudah ada pak, sudah di maping dari job

Ok, yg ada contohnya emp id 00160011, yg 2 Ig belum ada kayanya.

Saya dah perbaiki Query untuk menampilkan Appraiser 1, namun karena DS1 ya tdk ada, maka belum tampil di tabel Appraiser.
00160009 mentok di atasan POSISI '00000195' President Director TIDAK ADA EMPLOYEENYA

00160011 mentok di atasan POSISI '00000198' Finance And Investment Director TIDAK ADA EMPLOYEENYA

00160008 mentok di atasan POSISI '00000195' President Director TIDAK ADA EMPLOYEENYA

#11 - 02/16/2022 06:05 PM - Mega Yunita
Sudah saya buat bertingkat ya pak, begini urutannya
00160009 sebagai President Director

00160011 memiliki atasan 00160009
00160008 memiliki atasan 00160011

#12 - 02/16/2022 06:58 PM - Mr. Yusuf
- File Screenshot (83).png added
- File Screenshot (84).png added

Mega Yunita wrote in #note-11:
Sudah saya buat bertingkat ya pak, begini urutannya
00160009 sebagai President Director

00160011 memiliki atasan 00160009
00160008 memiliki atasan 00160011
Coba cek lagi, apa data saya yg salah ya:
00160009 bukan sebagai President Director. President Directornya masih kosong.

#13 - 02/16/2022 07:26 PM - Mr. Yusuf
- File Screenshot (85).png added

Mr. Yusuf wrote in #note-12:
Mega Yunita wrote in #note-11:
Sudah saya buat bertingkat ya pak, begini urutannya

00160009 sebagai President Director
00160011 memiliki atasan 00160009
00160008 memiliki atasan 00160011

Coba cek lagi, apa data saya yg salah ya:
00160009 bukan sebagai President Director. President Directornya masih kosong.

Sudah sy perbaiki, coba ditest tabel Appraiser nya.
Untuk KPI katalog juga sudah, tetapi 3 employee itu jobnya belum ada di master data. Jadi belum muncul di form GS.

#14 - 02/17/2022 11:44 AM - Mega Yunita

saat ini sudah ditempelin jobnya ya pak

#15 - 02/17/2022 02:58 PM - Mr. Yusuf

Mega Yunita wrote in #note-14:

saat ini sudah ditempelin jobnya ya pak

Coba dicek lagi:

1. 00160008 sudah ada atasannya & jobnya

2. 00160009 belum ada atasannya, sudah ada jobnya
3. 00160011 sudah ada atasannya, belum ada jobnya

#16 - 03/04/2022 09:08 AM - Mr. Yusuf
- Status changed from Developing to QA Test

#17 - 09/19/2022 02:24 PM - Mega Yunita
- Tracker changed from Feature to Bug

- Status changed from QA Test to Closed

Files

clipboard-202202151709-ez7sv.png 74.3 KB 02/15/2022 Mega Yunita
clipboard-202202151713-vjsmi.png 78.3 KB 02/15/2022 Mega Yunita
ALG_LIST PIC WORKFLOW.xIsx 5.66 KB 02/16/2022 Mr. Yusuf
ALG_LIST PIC WORKFLOW (1).xIsx 5.84 KB 02/16/2022 Mr. Yusuf
ALG_LIST PIC WORKFLOW (2).xIsx 5.86 KB 02/16/2022 Mr. Yusuf
Screenshot (84).png 136 KB 02/16/2022 Mr. Yusuf
Screenshot (83).png 132 KB 02/16/2022 Mr. Yusuf
Screenshot (85).png 146 KB 02/16/2022 Mr. Yusuf
